Description

Migrated: http://www.isxgames.com/forums.old.2014-09-12/project.php?issueid=1457

of adomments in CoE I ke to request some additional Item (datatype) members be addedl

(bool) AdornmentSiot(#] IsEmpty - returns TRUE if the adormment slot is empty, FALSE ifthe adornment siot current has an adormment i if

string) AdornmentSiot(#]. Type - returns white, yellow, red or green based on what type of adornment could be placed in i

History

#1 - 2014-11-17 01:06 PM - CyberTech

#2 - 2014-11-17 01:07 PM - CyberTech

Amadeus - Any level can add adoms, | can set you up with some cheap adoms to play with if needed!

#3 - 2014-11-17 01:07 PM - CyberTech



http://www.isxgames.com/forums.old.2014-09-12/project.php?issueid=1457
http://www.isxgames.com/forums.old.2014-09-12/members/5957-uiyice

#4 - 2014-11-17 01:07 PM - CyberTech

#5 - 2014-11-17 01:15 PM - bjcasey

A quick update, Tears of Veeshan intoduced Cyan adornments on weapons. I'll update this further with screen shots and stuff when | get more time if
you need the visuals.

#6 - 2014-11-18 04:24 AM - bjcasey
- File picture584-1.png added
- File picture584-2.png added
- File picture584-4.png added
- File picture584-5.png added
- File picture584-6.png added

White adornment slots come on every slot and sometimes there will be more than one white adornment slot on an item.

Red and yellow adornment slots were used in Destiny of Velious and Chains of Eternity expansion and were on visible armor, cloak, waist, charms,
primary, secondary and ranged equipment.

Purple adornment slots were introduced in Tears of Veeshan and were meant to combine the power of Red and Yellow adornments. They could be
used on most of the same slots as Red and Yellow, but were removed from charms.

Green adornment slots were introduced in Chains of Eternity and are on necks and finger slots. These adornments are special because they will
level with your character under certain condtions that are unique to them. Some of them gain experience as you kill any creature while other require
specific creatures with a specific expansion to be killed.

Cyan adornment slots were introduced near the end of Tears of Veeshan and are found on primary, secondary and range slots.
Blue adornment slots are from PVP items. | don't know what expansion they were introduced.
Some examples of the items with these adornment slots can be found below:

White Blue Teal Weapon PVP.PNG White Purple Teal Weapon.PNG White Red Yellow Armor.PNG White Purple Armor.PNG White Green
Jewelry.PNG
If you require any more information please let me know.

#7 - 2015-01-04 08:31 AM - bjcasey

Adornments are increasing in importance with the Altar of Malice expansion. They are so important that the reward for the signature quest line (major
quest line) is an unlimited charge item that will unadorn any item.

An example of adornment power increase:

e Tier 7 Echoes of Faydwer Expansion - Adornments are released. Scintillating Adornment of Swift Casting (Superior) Level 70 - 3.8% Ability
Casting Speed
e Tier 11 Altar of Malice Expansion - Incandescent Adornment of Swift Casting (Superior) Level 96 - 15% Ability Casting Speed

That's an increase of x3.95 in power.
Here is a comparison of how much adornments have grown in power since last expansion, Tears of Veeshan:
e Tier 10 Tears of Veeshan Expansion - Astral Adornment of Swift Casting (Superior) Level 90 - 6% Ability Casting Speed

So in the 7 expansions from EoF to ToV the power of adornments increased in power by x1.58. In Altar of Malice the power increase from
adornments has jumped to x2.5.

White Adornment Comparison.PNG
Those are just the white adornments. Purple adornments in AoM have seen an addition of set bonuses added to them, which increase their power
substantially. The picture below demonstrates that.

Superior Rune of Critical Bonus.PNG
Since green adornments have been added, their power has been substantially increased with AoM as well. Below is a comparison. On the left is a
green adornment from CoE and on the right is an adornment from AoM.

Green Adornment Comparison.PNG
As you can see from the above pictures, adornments have become a VERY important part character itemization and can increase player power by a
substantial amount. They have basically become additional pieces of gear due to the amount of stats they provide.

Why do | want to see the following additions to ISXEQ2?

(bool) .HasAdornmentSilots - returns true if the item has adornment slots

(bool) .AdornmentSlot[#].ISEmpty - returns TRUE if the adornment slot is empty, FALSE if the adornment slot current has an adornment in it
(string) .AdornmentSlot[#].Type - returns white, yellow, red, purple, cyan or green based on what type of adornment could be placed in it
(string) .AdornmentSlot[#].Name - returns the name of the adornment in slot [#]

| want to see those datatypes added because adorning can be tedious. | absolutely hate spending my time adorning my characters. In previous
expansions | ignored adorning my characters as often as possible. With AoM | can no longer afford to ignore the power increase coming from
adornments. Adorning would be a wonderful example of a quality of life automation and | want to write a script to do just that.

Can we please see these additions during the AoM lifespan?
#8 - 2015-01-16 02:53 AM - Amadeus

- Status changed from New to Implemented

- Assignee set to Amadeus

January 16, 2015 -- By Amadeus
[20150115.0002]
* Added new datatype: 'itemeffectstring'

- The ItemEffectStrings are the actual, bulleted lines of text that are visible in the item examine window
* Added new datatype: 'adornment'’
* Added new MEMBERS to the 'adornment' datatype:

1. Name (string)
2. LinkID (unsigned int)
3. IconID (int)
* Added new MEMBERS to the 'itemeffectstring' datatype:
1. Text (string)
2. IndentLevel (int)
* Added new MEMBERS to the 'item' datatype:
1. IconID (int)
2. NumAdornmentsAttached (int)
3. Adornment [#] (adornment) [# 1s between 1 and NumAdornmentsAttached]

4. NumEffectStrings (int)

5. EffectString (itemeffectstring) [# is between 1 and NumEffectStrings]
